xine-lib: vdr_input_plugin_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vdr_input_plugin_s Struct Reference

## Data Fields
input_plugin_t | input_plugin
xine_stream_t * | stream
xine_stream_t * | stream_external
int | is_netvdr
int | fh
int | fh_control
int | fh_result
int | fh_event
char * | mrl
off_t | curpos
enum funcs | cur_func
off_t | cur_size
off_t | cur_done
vdr_osd_t | osd [16]
uint8_t * | osd_buffer
uint32_t | osd_buffer_size
uint8_t | osd_unscaled_blending
uint8_t | osd_supports_custom_extent
uint8_t | osd_supports_argb_layer
uint8_t | audio_channels
uint8_t | mute_mode
uint8_t | volume_mode
int | last_volume
vdr_frame_size_changed_data_t | frame_size
pthread_t | rpc_thread
int | rpc_thread_created
int | rpc_thread_shutdown
pthread_mutex_t | rpc_thread_shutdown_lock
pthread_cond_t | rpc_thread_shutdown_cond
int | startup_phase
xine_event_queue_t * | event_queue
xine_event_queue_t * | event_queue_external
pthread_mutex_t | adjust_zoom_lock
uint16_t | image4_3_zoom_x
uint16_t | image4_3_zoom_y
uint16_t | image16_9_zoom_x
uint16_t | image16_9_zoom_y
uint8_t | find_sync_point
pthread_mutex_t | find_sync_point_lock
vdr_metronom_t | metronom
int | last_disc_type
struct { |
vdr_vpts_offset_t items [(1<< 7)] |
int read |
int write |
pthread_mutex_t lock |
pthread_cond_t changed |
} | vpts_offs_queue |
int | video_window_active
vdr_set_video_window_data_t | video_window_event_data
uint8_t | seek_buf [1024]

## Field Documentation

## ◆ adjust_zoom_lock

pthread_mutex_t vdr_input_plugin_s::adjust_zoom_lock

## ◆ audio_channels

uint8_t vdr_input_plugin_s::audio_channels

## ◆ changed

pthread_cond_t vdr_input_plugin_s::changed

## ◆ cur_done

off_t vdr_input_plugin_s::cur_done

## ◆ cur_func

enum funcs vdr_input_plugin_s::cur_func

## ◆ cur_size

off_t vdr_input_plugin_s::cur_size

## ◆ curpos

off_t vdr_input_plugin_s::curpos

## ◆ event_queue

xine_event_queue_t* vdr_input_plugin_s::event_queue

## ◆ event_queue_external

xine_event_queue_t* vdr_input_plugin_s::event_queue_external

## ◆ fh

int vdr_input_plugin_s::fh

## ◆ fh_control

int vdr_input_plugin_s::fh_control

## ◆ fh_event

int vdr_input_plugin_s::fh_event

## ◆ fh_result

int vdr_input_plugin_s::fh_result

## ◆ find_sync_point

uint8_t vdr_input_plugin_s::find_sync_point

## ◆ find_sync_point_lock

pthread_mutex_t vdr_input_plugin_s::find_sync_point_lock

## ◆ frame_size

vdr_frame_size_changed_data_t vdr_input_plugin_s::frame_size

## ◆ image16_9_zoom_x

uint16_t vdr_input_plugin_s::image16_9_zoom_x

## ◆ image16_9_zoom_y

uint16_t vdr_input_plugin_s::image16_9_zoom_y

## ◆ image4_3_zoom_x

uint16_t vdr_input_plugin_s::image4_3_zoom_x

## ◆ image4_3_zoom_y

uint16_t vdr_input_plugin_s::image4_3_zoom_y

## ◆ input_plugin

input_plugin_t vdr_input_plugin_s::input_plugin

## ◆ is_netvdr

int vdr_input_plugin_s::is_netvdr

## ◆ items

vdr_vpts_offset_t vdr_input_plugin_s::items[(1<< 7)]

## ◆ last_disc_type

int vdr_input_plugin_s::last_disc_type

## ◆ last_volume

int vdr_input_plugin_s::last_volume

## ◆ lock

pthread_mutex_t vdr_input_plugin_s::lock

## ◆ metronom

vdr_metronom_t vdr_input_plugin_s::metronom

## ◆ mrl

char* vdr_input_plugin_s::mrl

## ◆ mute_mode

uint8_t vdr_input_plugin_s::mute_mode

## ◆ osd

vdr_osd_t vdr_input_plugin_s::osd[16]

## ◆ osd_buffer

uint8_t* vdr_input_plugin_s::osd_buffer

## ◆ osd_buffer_size

uint32_t vdr_input_plugin_s::osd_buffer_size

## ◆ osd_supports_argb_layer

uint8_t vdr_input_plugin_s::osd_supports_argb_layer

## ◆ osd_supports_custom_extent

uint8_t vdr_input_plugin_s::osd_supports_custom_extent

## ◆ osd_unscaled_blending

uint8_t vdr_input_plugin_s::osd_unscaled_blending

## ◆ read

int vdr_input_plugin_s::read

## ◆ rpc_thread

pthread_t vdr_input_plugin_s::rpc_thread

## ◆ rpc_thread_created

int vdr_input_plugin_s::rpc_thread_created

## ◆ rpc_thread_shutdown

int vdr_input_plugin_s::rpc_thread_shutdown

## ◆ rpc_thread_shutdown_cond

pthread_cond_t vdr_input_plugin_s::rpc_thread_shutdown_cond

## ◆ rpc_thread_shutdown_lock

pthread_mutex_t vdr_input_plugin_s::rpc_thread_shutdown_lock

## ◆ seek_buf

uint8_t vdr_input_plugin_s::seek_buf[1024]

## ◆ startup_phase

int vdr_input_plugin_s::startup_phase

## ◆ stream

xine_stream_t* vdr_input_plugin_s::stream

Referenced by vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆ stream_external

xine_stream_t* vdr_input_plugin_s::stream_external

## ◆ video_window_active

int vdr_input_plugin_s::video_window_active

## ◆ video_window_event_data

vdr_set_video_window_data_t vdr_input_plugin_s::video_window_event_data

## ◆ volume_mode

uint8_t vdr_input_plugin_s::volume_mode

## ◆ [struct]

struct { ... } vdr_input_plugin_s::vpts_offs_queue

## ◆ write

int vdr_input_plugin_s::write

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/vdr/input_vdr.c